import 'package:flutter/material.dart';

class Resources {

  static String getLogo(String app) => 'assets/${app}_logo.png';

  static String getSplash(String app) {
    if (app == 'autobonus') {
      return 'assets/${app}_splash.png';
    } else {
      return 'assets/dinect_splash.png';
    }
  }

  static Color getPrimaryColor(String app) {
    switch (app) {
      case 'pip': return new Color(0xff008794);
      case 'autobonus': return new Color(0xffeb0004);
      case 'dinect': return new Color(0xff3daee3);
      case 'crypto': return new Color(0xff0f3d87);
      case 'biohacker': return new Color(0xff464646);
      default: return new Color(0xffffffff);
    }
  }

  static Color getButtonColor(String app) {
    switch (app) {
      case 'pip': return new Color(0xfff49935);
      case 'autobonus': return new Color(0xffeb0004);
      case 'dinect': return new Color(0xff33cc99);
      case 'crypto': return new Color(0xffffc34d);
      case 'biohacker': return new Color(0xffff6134);
      default: return new Color(0xffffffff);
	  
    }
  }
}
